{% extends 'kpi/base.html'%}
{% load staticfiles %}
{% block title%}Задачи{% endblock%}
{% block content%}
<div class="content-basic">
    <h2>Мои задачи</h2>
    <hr>
	<div class="list-group">
	<!-- Блок задачи -->
	{% for task in tasks %}
	<div class="list-group-item" >
		<h3 class="list-group-item-heading">{{ task.context.name }}</h3>
		    <small><span class="time glyphicon glyphicon-time"></span>{{ task.get_date }}</small>
			<hr>
		    <div class="row">
				<div class="col-lg-7 col-md-6 col-sm-12 col-xs-12">
					<p class="list-group-item-text"><h4>{{ task.parent.department.name }}</h4></p>
	                <!--   состояния: alert-success, alert-warning, alert-danger -->
                    {% if task.get_done_count < task.count %}
		            <p class="list-group-item-text alert-warning">В процессе</p>
                    {% else %}
                    <p class="list-group-item-text alert-success">Выполнено</p>
                    {% endif %}

                </div>
				<div class="col-lg-5 col-md-6 col-sm-12 col-xs-12">
                    {% if task.get_done_count < task.count %}
					<a role ="button" href="{% url 'execute_task' task.pk %}" class="btn btn-primary" >Выполнить</a>
                    {% else %}
                        <a role="button" href="{% url 'execute_task' task.pk %}" class="btn btn-default" disabled>Выполнить</a>
                    {% endif %}
	                {% if task.reports.all.count == 0  %}
	                    <a role="button" class=" btn btn-default" disabled>Просмотреть отчеты</a>
	    			{% else %}
				        <a role="button" href="{% url 'reports_list' task.pk%}" class="btn btn-primary">Просмотреть отчеты</a>
		            {% endif %}
		    	</div>
			</div>
			<div class="collapse-info">
				<button type="button" class="btn btn-default btn-sm" data-target="#{{ task.pk }}" data-toggle="collapse">Подробнее</button>
				<div id="{{ task.pk }}" class="collapse"><div class="well">{{ task.description }}</div></div>
			</div>
		</div>
	{% endfor %}
	<!-- Конец блока задачи -->
	</div>
</div>
{% endblock content %}